Index: code/trunk/src/modules/pong/Pong.cc
===================================================================
--- code/trunk/src/modules/pong/Pong.cc	(revision 9348)
+++ code/trunk/src/modules/pong/Pong.cc	(revision 9667)
@@ -37,5 +37,5 @@
 #include "core/EventIncludes.h"
 #include "core/command/Executor.h"
-#include "core/ConfigValueIncludes.h"
+#include "core/config/ConfigValueIncludes.h"
 
 #include "gamestates/GSLevel.h"
@@ -53,5 +53,5 @@
     CreateEventName(PongCenterpoint, left);
 
-    CreateUnloadableFactory(Pong);
+    RegisterUnloadableClass(Pong);
 
     /**
@@ -59,5 +59,5 @@
         Constructor. Registers and initializes the object.
     */
-    Pong::Pong(BaseObject* creator) : Deathmatch(creator)
+    Pong::Pong(Context* context) : Deathmatch(context)
     {
         RegisterObject(Pong);
@@ -129,5 +129,5 @@
             if (this->ball_ == NULL) // If there is no ball, create a new ball.
             {
-                this->ball_ = new PongBall(this->center_);
+                this->ball_ = new PongBall(this->center_->getContext());
                 // Apply the template for the ball specified by the centerpoint.
                 this->ball_->addTemplate(this->center_->getBalltemplate());
@@ -147,5 +147,5 @@
                 if (this->bat_[i] == NULL)
                 {
-                    this->bat_[i] = new PongBat(this->center_);
+                    this->bat_[i] = new PongBat(this->center_->getContext());
                     this->bat_[i]->addTemplate(this->center_->getBattemplate());
                 }
Index: code/trunk/src/modules/pong/Pong.h
===================================================================
--- code/trunk/src/modules/pong/Pong.h	(revision 9348)
+++ code/trunk/src/modules/pong/Pong.h	(revision 9667)
@@ -65,5 +65,5 @@
     {
         public:
-            Pong(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            Pong(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~Pong(); //!< Destructor. Cleans up, if initialized.
 
Index: code/trunk/src/modules/pong/PongAI.cc
===================================================================
--- code/trunk/src/modules/pong/PongAI.cc	(revision 9348)
+++ code/trunk/src/modules/pong/PongAI.cc	(revision 9667)
@@ -35,5 +35,5 @@
 
 #include "core/CoreIncludes.h"
-#include "core/ConfigValueIncludes.h"
+#include "core/config/ConfigValueIncludes.h"
 #include "core/command/Executor.h"
 #include "tools/Timer.h"
@@ -45,5 +45,5 @@
 namespace orxonox
 {
-    CreateUnloadableFactory(PongAI);
+    RegisterUnloadableClass(PongAI);
 
     const static float MAX_REACTION_TIME = 0.4f;
@@ -53,5 +53,5 @@
         Constructor. Registers and initializes the object.
     */
-    PongAI::PongAI(BaseObject* creator) : Controller(creator)
+    PongAI::PongAI(Context* context) : Controller(context)
     {
         RegisterObject(PongAI);
Index: code/trunk/src/modules/pong/PongAI.h
===================================================================
--- code/trunk/src/modules/pong/PongAI.h	(revision 9348)
+++ code/trunk/src/modules/pong/PongAI.h	(revision 9667)
@@ -44,4 +44,5 @@
 
 #include "controllers/Controller.h"
+#include "PongBall.h"
 
 namespace orxonox
@@ -60,5 +61,5 @@
     {
         public:
-            PongAI(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            PongAI(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~PongAI();
 
Index: code/trunk/src/modules/pong/PongBall.cc
===================================================================
--- code/trunk/src/modules/pong/PongBall.cc	(revision 9348)
+++ code/trunk/src/modules/pong/PongBall.cc	(revision 9667)
@@ -43,5 +43,5 @@
 namespace orxonox
 {
-    CreateFactory(PongBall);
+    RegisterClass(PongBall);
 
     const float PongBall::MAX_REL_Z_VELOCITY = 1.5;
@@ -51,6 +51,6 @@
         Constructor. Registers and initializes the object.
     */
-    PongBall::PongBall(BaseObject* creator)
-        : MovableEntity(creator)
+    PongBall::PongBall(Context* context)
+        : MovableEntity(context)
     {
         RegisterObject(PongBall);
Index: code/trunk/src/modules/pong/PongBall.h
===================================================================
--- code/trunk/src/modules/pong/PongBall.h	(revision 9348)
+++ code/trunk/src/modules/pong/PongBall.h	(revision 9667)
@@ -59,5 +59,5 @@
     {
         public:
-            PongBall(BaseObject* creator);
+            PongBall(Context* context);
             virtual ~PongBall();
 
Index: code/trunk/src/modules/pong/PongBat.cc
===================================================================
--- code/trunk/src/modules/pong/PongBat.cc	(revision 9348)
+++ code/trunk/src/modules/pong/PongBat.cc	(revision 9667)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    CreateFactory(PongBat);
+    RegisterClass(PongBat);
 
     /**
@@ -45,5 +45,5 @@
         Constructor. Registers and initializes the object.
     */
-    PongBat::PongBat(BaseObject* creator) : ControllableEntity(creator)
+    PongBat::PongBat(Context* context) : ControllableEntity(context)
     {
         RegisterObject(PongBat);
Index: code/trunk/src/modules/pong/PongBat.h
===================================================================
--- code/trunk/src/modules/pong/PongBat.h	(revision 9348)
+++ code/trunk/src/modules/pong/PongBat.h	(revision 9667)
@@ -57,5 +57,5 @@
     {
         public:
-            PongBat(BaseObject* creator); //!< Constructor. Registers and initializes the object.
+            PongBat(Context* context); //!< Constructor. Registers and initializes the object.
             virtual ~PongBat() {}
 
Index: code/trunk/src/modules/pong/PongBot.cc
===================================================================
--- code/trunk/src/modules/pong/PongBot.cc	(revision 9348)
+++ code/trunk/src/modules/pong/PongBot.cc	(revision 9667)
@@ -39,5 +39,5 @@
 namespace orxonox
 {
-    CreateFactory(PongBot);
+    RegisterClass(PongBot);
 
     /**
@@ -45,5 +45,5 @@
         Constructor. Registers the object and creates a PongAI controller.
     */
-    PongBot::PongBot(BaseObject* creator) : Bot(creator)
+    PongBot::PongBot(Context* context) : Bot(context)
     {
         RegisterObject(PongBot);
Index: code/trunk/src/modules/pong/PongBot.h
===================================================================
--- code/trunk/src/modules/pong/PongBot.h	(revision 9348)
+++ code/trunk/src/modules/pong/PongBot.h	(revision 9667)
@@ -56,5 +56,5 @@
     {
         public:
-            PongBot(BaseObject* creator);
+            PongBot(Context* context);
             virtual ~PongBot() {}
     };
Index: code/trunk/src/modules/pong/PongCenterpoint.cc
===================================================================
--- code/trunk/src/modules/pong/PongCenterpoint.cc	(revision 9348)
+++ code/trunk/src/modules/pong/PongCenterpoint.cc	(revision 9667)
@@ -41,5 +41,5 @@
 namespace orxonox
 {
-    CreateFactory(PongCenterpoint);
+    RegisterClass(PongCenterpoint);
 
     /**
@@ -47,5 +47,5 @@
         Constructor. Registers and initializes the object and checks whether the gametype is actually Pong.
     */
-    PongCenterpoint::PongCenterpoint(BaseObject* creator) : StaticEntity(creator)
+    PongCenterpoint::PongCenterpoint(Context* context) : StaticEntity(context)
     {
         RegisterObject(PongCenterpoint);
Index: code/trunk/src/modules/pong/PongCenterpoint.h
===================================================================
--- code/trunk/src/modules/pong/PongCenterpoint.h	(revision 9348)
+++ code/trunk/src/modules/pong/PongCenterpoint.h	(revision 9667)
@@ -121,5 +121,5 @@
     {
         public:
-            PongCenterpoint(BaseObject* creator); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Pong.
+            PongCenterpoint(Context* context); //!< Constructor. Registers and initializes the object and checks whether the gametype is actually Pong.
             virtual ~PongCenterpoint() {}
 
Index: code/trunk/src/modules/pong/PongScore.cc
===================================================================
--- code/trunk/src/modules/pong/PongScore.cc	(revision 9348)
+++ code/trunk/src/modules/pong/PongScore.cc	(revision 9667)
@@ -44,5 +44,5 @@
 namespace orxonox
 {
-    CreateFactory(PongScore);
+    RegisterClass(PongScore);
 
     /**
@@ -50,5 +50,5 @@
         Constructor. Registers and initializes the object.
     */
-    PongScore::PongScore(BaseObject* creator) : OverlayText(creator)
+    PongScore::PongScore(Context* context) : OverlayText(context)
     {
         RegisterObject(PongScore);
Index: code/trunk/src/modules/pong/PongScore.h
===================================================================
--- code/trunk/src/modules/pong/PongScore.h	(revision 9348)
+++ code/trunk/src/modules/pong/PongScore.h	(revision 9667)
@@ -57,5 +57,5 @@
     {
         public:
-            PongScore(BaseObject* creator);
+            PongScore(Context* context);
             virtual ~PongScore();
 
